---
id: git
title: Version Control with GitLab
sidebar_label: GitLab
slug: /git
---

During my graduation project I used GitLab as version control software and to keep the code avialable to the
the company. This was done for both the Packer image and the Terraform infrastrcuture. In addition,
documentation has been written to make the code usable.

![img](../../static/img/GitVariable.png)
Figure 1 - GitLab proof of documentation

-------------------------

![img](../../static/img/GitUsage.png)
Figure 2 - GitLab proof of documentation 2


-------------------------

![img](../../static/img/GitLabCommits.png)
Figure 3 - GitLab proof version control

-------------------------
![img](../../static/img/GitPossibleOutput.png)
Figure 4 - Code Example

-------------------------